Search documentation of Plushie

# Plushie.Canvas.DragBounds (Plushie v0.7.2)

Copy Markdown View Source

Drag constraint bounds for interactive canvas shapes.

## Summary

### Types

t()

### Functions

from_opts(opts)

Constructs drag bounds from a keyword list.

## Types

# t()

    @type t() :: %Plushie.Canvas.DragBounds{
      max_x: number() | nil,
      max_y: number() | nil,
      min_x: number() | nil,
      min_y: number() | nil
    }

## Functions

# from_opts(opts)

    @spec from_opts(keyword()) :: t()

Constructs drag bounds from a keyword list.